package com.sun.org.apache.bcel.internal.classfile;

import java.io.IOException;
import java.io.DataInput;

public final class ConstantInterfaceMethodref extends ConstantCP
{
    public ConstantInterfaceMethodref(ConstantInterfaceMethodref c) {
        super((byte)11, c.getClassIndex(), c.getNameAndTypeIndex());
    }
    
    ConstantInterfaceMethodref(DataInput input) throws IOException {
        super((byte)11, input);
    }
    
    public ConstantInterfaceMethodref(int class_index, int name_and_type_index) {
        super((byte)11, class_index, name_and_type_index);
    }
    
    @Override
    public void accept(Visitor v) {
        v.visitConstantInterfaceMethodref(this);
    }
}
